#ifndef console_window_h
#define console_window_h

#include <gtk/gtk.h>
#include <Core/gb.h>

#define CONSOLE_WINDOW_TYPE (console_window_get_type())
G_DECLARE_FINAL_TYPE(ConsoleWindow, console_window, SAMEBOY, CONSOLE_WINDOW, GtkWindow)

ConsoleWindow *console_window_new(GB_gameboy_t *gb);
char *console_get_async_input(ConsoleWindow *self, GB_gameboy_t *gb);
char *console_get_sync_input(ConsoleWindow *self, GB_gameboy_t *gb);
void console_log(ConsoleWindow *self, const char *message, GB_log_attributes attributes);
void console_clear(ConsoleWindow *self);
void break_debugger(ConsoleWindow *self);
#endif